# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "thread_safe"
  s.version = "0.3.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Charles Oliver Nutter", "thedarkone"]
  s.date = "2017-02-22"
  s.description = "A collection of data structures and utilities to make thread-safe programming in Ruby easier"
  s.email = ["headius@headius.com", "thedarkone2@gmail.com"]
  s.files = [".rspec", ".travis.yml", ".yardopts", "Gemfile", "LICENSE", "README.md", "Rakefile", "examples/bench_cache.rb", "ext/org/jruby/ext/thread_safe/JRubyCacheBackendLibrary.java", "ext/org/jruby/ext/thread_safe/jsr166e/ConcurrentHashMap.java", "ext/org/jruby/ext/thread_safe/jsr166e/ConcurrentHashMapV8.java", "ext/org/jruby/ext/thread_safe/jsr166e/LongAdder.java", "ext/org/jruby/ext/thread_safe/jsr166e/Striped64.java", "ext/org/jruby/ext/thread_safe/jsr166e/nounsafe/ConcurrentHashMapV8.java", "ext/org/jruby/ext/thread_safe/jsr166e/nounsafe/LongAdder.java", "ext/org/jruby/ext/thread_safe/jsr166e/nounsafe/Striped64.java", "ext/org/jruby/ext/thread_safe/jsr166y/ThreadLocalRandom.java", "ext/thread_safe/JrubyCacheBackendService.java", "lib/thread_safe.rb", "lib/thread_safe/atomic_reference_cache_backend.rb", "lib/thread_safe/cache.rb", "lib/thread_safe/mri_cache_backend.rb", "lib/thread_safe/non_concurrent_cache_backend.rb", "lib/thread_safe/synchronized_cache_backend.rb", "lib/thread_safe/synchronized_delegator.rb", "lib/thread_safe/util.rb", "lib/thread_safe/util/adder.rb", "lib/thread_safe/util/atomic_reference.rb", "lib/thread_safe/util/cheap_lockable.rb", "lib/thread_safe/util/power_of_two_tuple.rb", "lib/thread_safe/util/striped64.rb", "lib/thread_safe/util/volatile.rb", "lib/thread_safe/util/volatile_tuple.rb", "lib/thread_safe/util/xor_shift_random.rb", "lib/thread_safe/version.rb", "spec/.gitignore", "spec/spec_helper.rb", "spec/src/thread_safe/SecurityManager.java", "spec/support/.gitignore", "spec/support/threads.rb", "spec/support/threadsafe_test.rb", "spec/thread_safe/.gitignore", "spec/thread_safe/array_spec.rb", "spec/thread_safe/cache_loops_spec.rb", "spec/thread_safe/cache_spec.rb", "spec/thread_safe/hash_spec.rb", "spec/thread_safe/no_unsafe_spec.rb", "spec/thread_safe/synchronized_delegator_spec.rb", "tasks/update_doc.rake", "thread_safe.gemspec", "yard-template/default/fulldoc/html/css/common.css", "yard-template/default/layout/html/footer.erb"]
  s.homepage = "https://github.com/ruby-concurrency/thread_safe"
  s.licenses = ["Apache-2.0"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "Thread-safe collections and utilities for Ruby"
  s.test_files = ["spec/.gitignore", "spec/spec_helper.rb", "spec/src/thread_safe/SecurityManager.java", "spec/support/.gitignore", "spec/support/threads.rb", "spec/support/threadsafe_test.rb", "spec/thread_safe/.gitignore", "spec/thread_safe/array_spec.rb", "spec/thread_safe/cache_loops_spec.rb", "spec/thread_safe/cache_spec.rb", "spec/thread_safe/hash_spec.rb", "spec/thread_safe/no_unsafe_spec.rb", "spec/thread_safe/synchronized_delegator_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_development_dependency(%q<atomic>, ["= 1.1.16"])
      s.add_development_dependency(%q<rake>, ["< 12.0"])
      s.add_development_dependency(%q<rspec>, ["~> 3.2"])
    else
      s.add_dependency(%q<atomic>, ["= 1.1.16"])
      s.add_dependency(%q<rake>, ["< 12.0"])
      s.add_dependency(%q<rspec>, ["~> 3.2"])
    end
  else
    s.add_dependency(%q<atomic>, ["= 1.1.16"])
    s.add_dependency(%q<rake>, ["< 12.0"])
    s.add_dependency(%q<rspec>, ["~> 3.2"])
  end
end

